Bug 454644 - GtkTreeView::odd_row_color definition in gtkrc is wrong
GtkTreeView::odd_row_color definition in gtkrc is wrong
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk-nodoka-engine (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 10:53 EDT by Pavel Alexeev
Modified: 2008-07-31 21:46 EDT (History)
0 users

See Also:
Fixed In Version: 0.7.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-31 21:46:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2008-07-09 10:53:16 EDT
Description of problem:
In start many GTK application get error in this definition. For example:

[pasha@x-www SOURCES]$ guake 
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve
property `GtkTreeView::odd-row-color' of type `GdkColor' from rc file value
"((GString*) 0x87c1800)" of type `GString'

[pasha@x-www SOURCES]$ GTK_DEBUG=1 guake 
Gtk-Message: /usr/share/themes/Nodoka/gtk-2.0/gtkrc:37: failed to retrieve
property `GtkTreeView::odd-row-color' of type `GdkColor' from rc file value
"((GString*) 0x83ed600)" of type `GString'

File /usr/share/themes/Nodoka/gtk-2.0/gtkrc:37 contains:
GtkTreeView::odd_row_color <->= shade (0.929458256, @base_color)
Comment 1 Martin Sourada 2008-07-09 12:20:13 EDT
Hi, thanks for the report. Strange enough, I am not able to reproduce the issue
on my laptop. Could you find a software that is available in Fedora repos that
suffers this issue for you? I see nothing wrong with the definition :-/

Also, there should be no harm from commenting that line out - I will probably do
that in the next nodoka release. That would definitely fix this bug, I don't
recall why did we added this definition in the past (IIRC it was in the first
gtkrc of Nodoka ever, even before we forked the murrine engine)...
Comment 2 Pavel Alexeev 2008-07-09 14:03:16 EDT
Hi, Martin Sourada.

(In reply to comment #1)
> Could you find a software that is available in Fedora repos that
> suffers this issue for you?
Sure! Each gtk-software with tree widget.
For example, to reproduce:
Run gtk-demo from gtk2-devel package, and run any example from "Tree View"
submenu. For example first: "Editable Cells".
End error fire.

And excuse me for first example, just I'm working to pack guake
(https://bugzilla.redhat.com/show_bug.cgi?id=450189).

> Also, there should be no harm from commenting that line out - I will probably
> do that in the next nodoka release. That would definitely fix this bug,
> I don't recall why did we added this definition in the past (IIRC it was in 
> the first gtkrc of Nodoka ever, even before we forked the murrine engine)...
As I can understand it must set shade of odd rows in tree widgets. Are you sure
that it will be safely removed?
Comment 3 Martin Sourada 2008-07-09 15:00:58 EDT
(In reply to comment #2)
> Hi, Martin Sourada.
> 
> Sure! Each gtk-software with tree widget.
> For example, to reproduce:
> Run gtk-demo from gtk2-devel package, and run any example from "Tree View"
> submenu. For example first: "Editable Cells".
> End error fire.
> 
Would be nice if it were the case, however for me it works fine, without any
problems :-/ (even though I run the app from terminal). Could you list you gtk2
and gtk-nodoka-engine NVR (name version release)? It seems to me like some
misconfiguration on you computer...

> And excuse me for first example, just I'm working to pack guake
> (https://bugzilla.redhat.com/show_bug.cgi?id=450189).
> 
Aah, that explains, why I didn't find it in the repos :)

> > Also, there should be no harm from commenting that line out - I will probably
> > do that in the next nodoka release. That would definitely fix this bug,
> > I don't recall why did we added this definition in the past (IIRC it was in 
> > the first gtkrc of Nodoka ever, even before we forked the murrine engine)...
> As I can understand it must set shade of odd rows in tree widgets. Are you sure
> that it will be safely removed?
> 
The defaults seem to be sane enough. Clearlooks does not set this either. You
can try it out by copying the /usr/share/themes/Nodoka to ~/.themes/NodokaTEST
(for example), commenting out (use # for comments) the line in
~/.themes/NodokaTEST/gtk-2.0/gtkrc and selecting NodokaTEST as Controls theme in
the Appearance caplet.
Comment 4 Pavel Alexeev 2008-07-09 17:56:43 EDT
(In reply to comment #3)
> Would be nice if it were the case, however for me it works fine, without any
> problems :-/ (even though I run the app from terminal).
Hmm, strange enough, on my computer it 100% reproducible.

> Could you list you gtk2
> and gtk-nodoka-engine NVR (name version release)? It seems to me like some
> misconfiguration on you computer...

[pasha@x-www temp]$ rpm -qa 'gtk*'
gtk+-1.2.10-61.fc9.i386
gtkhtml3-3.18.2-1.fc9.i386
gtkspell-2.0.11-8.fc9.1.i386
gtk2-devel-2.12.10-5.fc9.i386
gtk2-engines-2.14.2-1.fc9.i386
gtk2-2.12.10-5.fc9.i386
gtksourceview-1.8.5-4.fc9.i386
gtkhtml2-2.11.1-3.fc9.i386
gtkmm24-devel-2.12.7-1.fc9.i386
gtk-nodoka-engine-0.7.0-1.fc9.i386
gtkmm24-2.12.7-1.fc9.i386
gtk-doc-1.9-4.fc9.noarch
gtkhtml3-devel-3.18.2-1.fc9.i386
Comment 5 Pavel Alexeev 2008-07-09 18:05:02 EDT
I'm update system now, current NVR:
[root@x-www yum.repos.d]# rpm -qa 'gtk*'
gtk+-1.2.10-61.fc9.i386
gtkspell-2.0.11-8.fc9.1.i386
gtk2-engines-2.14.3-1.fc9.i386
gtksourceview-1.8.5-4.fc9.i386
gtkhtml2-2.11.1-3.fc9.i386
gtk2-2.12.11-1.fc9.i386
gtkhtml3-3.18.3-1.fc9.i386
gtkmm24-devel-2.12.7-1.fc9.i386
gtk-nodoka-engine-0.7.0-1.fc9.i386
gtkmm24-2.12.7-1.fc9.i386
gtk-doc-1.9-4.fc9.noarch
gtk2-devel-2.12.11-1.fc9.i386
gtkhtml3-devel-3.18.3-1.fc9.i386

Problem still persist.
Comment 6 Martin Sourada 2008-07-22 15:48:27 EDT
Indeed strange issue. I've removed the said line and we'll see if it solves the
problem. I'll release upstream bugfix release and build a fedora package later
today.
Comment 7 Fedora Update System 2008-07-22 17:33:55 EDT
gtk-nodoka-engine-0.7.1-1.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-07-23 22:12:29 EDT
gtk-nodoka-engine-0.7.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-nodoka-engine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6688
Comment 9 Fedora Update System 2008-07-31 21:46:47 EDT
gtk-nodoka-engine-0.7.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.